#! /bin/csh

if ($#argv <= 1) then
  echo "Usage: $0 satellite_number 2-digit-year (e.g. runlimbcor.csh 17 09)"
  exit 0
endif
set SATNUM = $argv[1]
set YY = $argv[2]

set DIRCOEF = ${hirs_lcproc_dir}/limbcoef/
set DIRDATA = ${hirs_DAT_DIR}/cs_data
set DIROUT = ${hirs_lc_dir}/LC_N$SATNUM
set DIRWORK = ${hirs_lcproc_dir}/work

cd $DIRDATA
foreach i ( `ls HIRS.N$SATNUM.Y$YY.*.CS` )
echo $i
cd $DIRDATA
cp $i $DIRWORK
cd $DIRWORK

/bin/rm param
set YEAR = `echo $i | cut -c11-12`
set DAY = `echo $i | cut -c15-17`

echo $SATNUM | cat >> param
echo $YEAR | cat >> param
echo $DAY | cat >> param
echo y | cat >> param
echo $DIRCOEF | cat >> param
echo y | cat >> param
echo $DIRWORK | cat >> param
echo 2 | cat >> param

${hirs_lcproc_dir}/srcnew/read_scanline_v3 < param
cp read_scanline_v2.dat $DIROUT/HIRS.N$SATNUM.Y$YEAR.D$DAY.LC
rm $DIRWORK/$i

end

exit 1
