#!/bin/ksh
#--------------------------------------------------------------------------------
#@***p* HIRS/casechange_u2l.ksh
#
# NAME
#   casechange_u2l.ksh
#
# LOCATION
#   /hirsoperation/clearsky4/scripts/casechange_u2l.ksh
#
# PURPOSE
#   Changes filenames to all lower case 
#
# DESCRIPTION
#   Changes filenames to all lower case
#
# AUTHOR
#   L. Shi
#
# CREATION DATE
#   Jan 2007
#
# COPYRIGHT
#   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC DOMAIN AND
#   THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE.  THEY ARE FURNISHED "AS IS." THE 
#   AUTHORS, THE UNITED STATES GOVERNMENT, ITS INSTRUMENTALITIES, OFFICERS, EMPLOYEES, 
#   AND AGENTS MAKE NO WARRANTY, EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE 
#   SOFTWARE AND DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR
#   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL SUPPORT 
#   TO USERS.
#
# MODIFICATION HISTORY
#   Mar 2010 - D. Wunder put in robodoc format
#
# INPUTS
#   NSS.HIRX...data files
#
# OUTPUTS
#   nss.hirx...data files
#
# TODO
#   n/a
#
# LANGUAGE
#   k-shell
#
#@*****
#---------------------------------------------------------------------------------


for x in $(ls NSS.HIRX.*D??0*)
 do
    rc=$(echo $x | awk '{ print tolower($1) }')
   mv $x $rc
   echo $rc >> list
 done

for x in $(ls NSS.HIRX.*D??1*)
 do
    rc=$(echo $x | awk '{ print tolower($1) }')
   mv $x $rc
   echo $rc >> list
 done

for x in $(ls NSS.HIRX.*D??2*)
 do
    rc=$(echo $x | awk '{ print tolower($1) }')
   mv $x $rc
   echo $rc >> list
 done

for x in $(ls NSS.HIRX.*D??3*)
 do
    rc=$(echo $x | awk '{ print tolower($1) }')
   mv $x $rc
   echo $rc >> list
 done
