#! /bin/csh
#--------------------------------------------------------------------------------
#@***p* HIRS/hirs2hirx.csh
#
# NAME
#   hirs2hirx.csh
#
# LOCATION
#   /hirsoperation/clearsky4/scripts/hirs2hirx.csh
#
# PURPOSE
#   Rename files with hirs to hirx
#
# DESCRIPTION
#   Rename files with hirs to hirx
#
# AUTHOR
#   ???  
#
# CREATION DATE
#   ???
#
# COPYRIGHT
#   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC DOMAIN AND
#   THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE.  THEY ARE FURNISHED "AS IS." THE 
#   AUTHORS, THE UNITED STATES GOVERNMENT, ITS INSTRUMENTALITIES, OFFICERS, EMPLOYEES, 
#   AND AGENTS MAKE NO WARRANTY, EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE 
#   SOFTWARE AND DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR
#   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL SUPPORT 
#   TO USERS.
#
# MODIFICATION HISTORY
#   Mar 2010 - D. Wunder put in robodoc format
#
# INPUTS
#   ~/hirs1b/n17/nss.hirs...
#
# OUTPUTS
#   ~/hirs1b/n17/nss.hirx...
#
# TODO
#   n/a
#
# LANGUAGE
#   C-Shell
#
#@*****
#---------------------------------------------------------------------------------

set SAT = nm
set DIRDATA = ~/hirs1b/n17

cd $DIRDATA

foreach FILE ( `ls nss.hirs.$SAT.*` )
echo $FILE
set TMP = `echo $FILE | cut -c13-42`
mv nss.hirs.$SAT.$TMP nss.hirx.$SAT.$TMP

end

exit 1
