# The HIRS package root should be at $RSAD_ROOT/$DATASET_ROOT
# There can be multiple versions of the HIRS package on the same system
# by changing these variable
export RSAD_ROOT=/rsad
export DATASET_ROOT=hirs
# $RSAD_DATASET is used for naming the environment variables
export RSAD_DATASET=hirs
# sv_data_dir is the source of the .sv files used for HIRS processing
export sv_data_dir=/net/crystal/san2/nb/hirs1b/M02
# destination of some finished product files
export hirs_ftp_drop_dir=eclipse:/raid/ftp/pub

####################################################################################
#### Create the environment variables for the dataset                           ####
#### Do not change these declarations, change the ROOT and DATASET values above ####
####################################################################################

echo $RSAD_ROOT
echo $DATASET_ROOT
echo $RSAD_DATASET

export ${RSAD_DATASET}_HOME=${RSAD_ROOT}/${DATASET_ROOT}
eval "echo \$$(echo ${RSAD_DATASET}_HOME)"

export ${RSAD_DATASET}_SOURCE_DIR=${RSAD_ROOT}/${DATASET_ROOT}/source
eval "echo \$$(echo ${RSAD_DATASET}_SOURCE_DIR)"

export ${RSAD_DATASET}_BIN_DIR=${RSAD_ROOT}/${DATASET_ROOT}/bin
eval "echo \$$(echo ${RSAD_DATASET}_BIN_DIR)"

export ${RSAD_DATASET}_DAT_DIR=${RSAD_ROOT}/${DATASET_ROOT}/data
eval "echo \$$(echo ${RSAD_DATASET}_DAT_DIR)"

export ${RSAD_DATASET}_SCRIPT_DIR=${RSAD_ROOT}/${DATASET_ROOT}/scripts
eval "echo \$$(echo ${RSAD_DATASET}_SCRIPT_DIR)"

export ${RSAD_DATASET}_AAPP_DIR=${RSAD_ROOT}/${DATASET_ROOT}/aapp/current
eval "echo \$$(echo ${RSAD_DATASET}_AAPP_DIR)"

export ${RSAD_DATASET}_ITPP_DIR=${RSAD_ROOT}/${DATASET_ROOT}/itpp/itpp5.20
eval "echo \$$(echo ${RSAD_DATASET}_ITPP_DIR)"

####################################################################################
export hirs_local_drop_dir=${RSAD_ROOT}/${DATASET_ROOT}/data
export hirs_lc_dir=${RSAD_ROOT}/${DATASET_ROOT}/data/hirs_lc
export hirs_hirsas_dir=${RSAD_ROOT}/${DATASET_ROOT}/data/hirs_as
export hirs_hirscs_dir=${RSAD_ROOT}/${DATASET_ROOT}/data/hirs_cs
export hirs_hirsaslc_dir=${RSAD_ROOT}/${DATASET_ROOT}/data/hirs_aslc
export hirs_lcproc_dir=${RSAD_ROOT}/${DATASET_ROOT}/lcproc
export hirs_lcnc_dir=${RSAD_ROOT}/${DATASET_ROOT}/data/hirs_lcnc
export hirs_step2_dir=${RSAD_ROOT}/${DATASET_ROOT}/data/step2
export AAPP_PREFIX=${RSAD_ROOT}/${DATASET_ROOT}/aapp/current



