#! /bin/csh
#--------------------------------------------------------------------------------
#@***p* HIRS/hirx2hirs.csh
#
# NAME
#   hirx2hirs.csh
#
# LOCATION
#   /hirsoperation/clearsky4/scripts/hirx2hirs.csh
#
# PURPOSE
#   Rename files with hirx to hirs
#
# DESCRIPTION
#   Rename files with hirx to hirs
#
# AUTHOR
#   L. Shi
#
# CREATION DATE
#   Mar 2005
#
# COPYRIGHT
#   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC DOMAIN AND
#   THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE.  THEY ARE FURNISHED "AS IS." THE 
#   AUTHORS, THE UNITED STATES GOVERNMENT, ITS INSTRUMENTALITIES, OFFICERS, EMPLOYEES, 
#   AND AGENTS MAKE NO WARRANTY, EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE 
#   SOFTWARE AND DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR
#   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL SUPPORT 
#   TO USERS.
#
# MODIFICATION HISTORY
#   Mar 2010 - D. Wunder put in robodoc format
#
# INPUTS
#   ~/hirs1b/nss.hirx...
#
# OUTPUTS
#   ~/hirs1b/nss.hirs...
#
# TODO
#   n/a
#
# LANGUAGE
#   C-Shell
#
#@*****
#---------------------------------------------------------------------------------


set SAT = nj
set DIRDATA = ~/hirs1b

cd $DIRDATA

foreach FILE ( `ls nss.hirx.$SAT.d03*` )
echo $FILE
set TMP = `echo $FILE | cut -c13-42`
mv nss.hirx.$SAT.$TMP nss.hirs.$SAT.$TMP

end

exit 1
