/* 
#--------------------------------------------------------------------------------
#@***p* HIRS/combinemonthlyprtch12.c
#
# NAME
#   combinemonthlyprtch12.c
#
# LOCATION
#   .../hirs/scripts/mstep2/combinemonthlyprtch12.c
#
# PURPOSE
#   Combine monthly grid data from several satellites
#
# DESCRIPTION
#   ???
#
# AUTHOR
#   ???  
#
# CREATION DATE
#   ???
#
# COPYRIGHT
#   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC DOMAIN AND
#   THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE.  THEY ARE FURNISHED "AS IS." THE 
#   AUTHORS, THE UNITED STATES GOVERNMENT, ITS INSTRUMENTALITIES, OFFICERS, EMPLOYEES, 
#   AND AGENTS MAKE NO WARRANTY, EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE 
#   SOFTWARE AND DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR
#   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL SUPPORT 
#   TO USERS.
#
# MODIFICATION HISTORY
#   May 2010 - D. Wunder put in robodoc format
#
# INPUTS
#   ???
#
# OUTPUTS
#   ???
#
# EXTERNALS
#   ???
#
# TODO
#   n/a
#
# LANGUAGE
#   C
#
#@*****
#---------------------------------------------------------------------------------
*/

#include <stdio.h>
#include <malloc.h>
#include<stdlib.h>
#include <math.h>

#define nlon 144
#define nlat 72
#define nlev 12
#define maxsatnum 4

main(argc, argv)
     int argc;
     char **argv;
{
  FILE       *ifp[maxsatnum];                /* Input file pointer */
  FILE       *ofpgrid,*ofpglobal,*ofpch12;

  int        i,j,k,m,n;
  int num,year;
  float t[nlat][nlon][nlev][maxsatnum];
  float sum,mean[nlat][nlon][nlev];
  float gsum[nlev],gmean[nlev];
  int gnum[nlev];
  char s[100];
  int lat1,lat2,band;
  float lat;
  int sat[maxsatnum];

  /* 1=(80,-80); 2=(80,60); 3=(60,30); 4=(30,-30); 5=(10,-10); 6=(-30,-65)
     7=(-60,-80),8=(-60,60)or edit */
  band = 4;
  if (band == 1) {
    lat1 = 80;
    lat2 = -80;
  }
  else if (band == 2) {
    lat1 = 80;
    lat2 = 60;
  }
  else if (band == 3) {
    lat1 = 60;
    lat2 = 30;
  }
  else if (band == 4) {
    lat1 = 30;
    lat2 = -30;
  }
  else if (band == 5) {
    lat1 = 10;
    lat2 = -10;
  }
  else if (band == 6) {
    lat1 = -30;
    lat2 = -60;
  }
  else if (band == 7) {
    lat1 = -60;
    lat2 = -80;
  }
  else if (band == 8) {
    lat1 = -25;
    lat2 = -45;
  }

  /*  printf("argc=%d\n", argc); */
  if (argc < 3)
    printf("%s%s%s\n", "Usage: ", argv[0], 
           " (individual sat monthly mean) f1 f2 ...");

  ofpgrid = fopen("combinemean.dat","w");
  ofpglobal = fopen("globalmean.dat","w");
  ofpch12 = fopen("combinemeanch12.dat","w");

  for (n=0; n<argc-1; n++)
    ifp[n] = fopen(argv[n+1],"r");
  sscanf(argv[1],"%10c%2d",s,&year);
  for (n=0; n<argc-1; n++)
    sscanf(argv[n+1],"%6c%2d",s,&sat[n]);

  if (year > 50)
    year += 1900;
  else
    year += 2000;

  for (m=0; m<12; m++) {
    for (n=0; n<argc-1; n++) {
      for (k=0; k<nlev; k++)
        for (i=0; i<nlat; i++)
	  for (j=0; j<nlon; j++)
	    fscanf(ifp[n], "%f", &t[i][j][k][n]);
    }

    /* compute monthly gridded mean */
    for (k=0; k<nlev; k++)
      for (i=0; i<nlat; i++) {
	for (j=0; j<nlon; j++) {
	  sum = 0.0;
	  num = 0;

          for (n=0; n<argc-1; n++)
            if (t[i][j][k][n] < 400.0) {
	      sum = sum + t[i][j][k][n];
	      num++;
            }
	  if (num > 0)
	    mean[i][j][k] = sum/num;
	  else
            mean[i][j][k] = 999.;
	  fprintf(ofpgrid," %6.2f", mean[i][j][k]);
        }
        fprintf(ofpgrid,"\n");
      }

      for (i=0; i<nlat; i++) {
	for (j=0; j<nlon; j++) {
	  fprintf(ofpch12," %6.2f", mean[i][j][11]);
        }
        fprintf(ofpch12,"\n");
      }

    /* compute monthly mean between lat1 and lat2*/
    for (k=0; k<nlev; k++) {
      gsum[k] = 0.0;
      gnum[k] = 0;
      for (i=0; i<nlat; i++) {
	lat = 2.5 * i - 90;
        for (j=0; j<nlon; j++)
          if (mean[i][j][k] < 400.0 && lat < lat1 && lat > lat2) {
            gsum[k] = gsum[k] + mean[i][j][k];
            gnum[k]++;
          }
      }
      if (gnum[k] > 0) {
        gmean[k] = gsum[k] / gnum[k];

        if (k == 0) {
          fprintf(ofpglobal," %7.2f %d", year+m/12.,m+1);
          fprintf(ofpglobal," %6.2f", gmean[k]);
        }
        else if (k == nlev-1) {
          fprintf(ofpglobal," %6.2f", gmean[k]);
          fprintf(ofpglobal,"\n");
        }
        else
          fprintf(ofpglobal," %6.2f", gmean[k]);
      }
    }

  } /* end of m loop */

  for (n=0; n<argc-1; n++)
    fclose(ifp[n]);
  fclose(ofpgrid);
  fclose(ofpglobal);
}
