#! /bin/csh
#--------------------------------------------------------------------------------
#@***p* HIRS/runcombineprtch12.csh
#
# NAME
#   runcombineprtch12.csh
#
# LOCATION
#   .../hirs/scripts/mstep2/runcombineprtch12.csh
#
# PURPOSE
#   Combine monthly grid data from several satellites
#
# DESCRIPTION
#   ???
#
# AUTHOR
#   ???  
#
# CREATION DATE
#   ???
#
# COPYRIGHT
#   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC DOMAIN AND
#   THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE.  THEY ARE FURNISHED "AS IS." THE 
#   AUTHORS, THE UNITED STATES GOVERNMENT, ITS INSTRUMENTALITIES, OFFICERS, EMPLOYEES, 
#   AND AGENTS MAKE NO WARRANTY, EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE 
#   SOFTWARE AND DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR
#   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL SUPPORT 
#   TO USERS.
#
# MODIFICATION HISTORY
#   May 2010 - D. Wunder put in robodoc format
#
# INPUTS
#   ???
#
# OUTPUTS
#   ???
#
# EXTERNALS
#   combinemonthlyprtch12.c
#
# TODO
#   n/a
#
# LANGUAGE
#   C-Shell
#
#@*****
#---------------------------------------------------------------------------------


set INDIR = ${hirs_step2_dir}/BN12tbgridmonthly
set OUTDIR = ${hirs_step2_dir}/combine
set WORKDIR = ${hirs_SCRIPT_DIR}/mstep2

set TIME = '24'

@ year = 78

cd $INDIR
\rm HIRS.MS.TB.$TIME
\rm CH12.MS.TB.$TIME

while ($year <= 109)
  if ($year < 100) then
    @ yy = $year
  else
    @ y = $year - 100
    set yy = 0$y
  endif
  echo `ls HIRS.???.Y$yy.MG.TB.$TIME`
  set FILES = ""
  set FILES = (`ls HIRS.???.Y$yy.MG.TB.$TIME`)
  if ( $FILES != "") then
    $WORKDIR/combinemonthlyprtch12 $FILES
    mv combinemean.dat $OUTDIR/HIRS.Y$yy.MG.TB.$TIME
    mv combinemeanch12.dat $OUTDIR/CH12.Y$yy.MG.TB.$TIME
    cat globalmean.dat >> HIRS.MS.TB.$TIME
  endif

  @ year++
end

\rm globalmean.dat

exit 1

