#!/bin/csh
#--------------------------------------------------------------------------------
#@***p* HIRS/one_digit_year.csh
#
# NAME
#   one_digit_year.csh
#
# LOCATION
#   /hirsoperation/clearsky4/scripts/one_digit_year.csh
#
# PURPOSE
#   Returns the last two digits of a four digit year (one digit returned for 2000-2009)
#
# DESCRIPTION
#   Returns the last two digits of a four digit year (one digit returned for 2000-2009)
#
# AUTHOR
#   L. Shi
#
# CREATION DATE
#   Jan 2008
#
# COPYRIGHT
#   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC DOMAIN AND
#   THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE.  THEY ARE FURNISHED "AS IS." THE 
#   AUTHORS, THE UNITED STATES GOVERNMENT, ITS INSTRUMENTALITIES, OFFICERS, EMPLOYEES, 
#   AND AGENTS MAKE NO WARRANTY, EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE 
#   SOFTWARE AND DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR
#   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL SUPPORT 
#   TO USERS.
#
# MODIFICATION HISTORY
#   Mar 2010 - D. Wunder put in robodoc format
#
# INPUTS
#   iyr4  = for digit year
#
# OUTPUTS
#   iyr1  = last digit(s) of year
#
# TODO
#
# LANGUAGE
#   C-Shell
#
#@*****
#---------------------------------------------------------------------------------
#
# Returns the one digit year given the four digit year input
# for 2000-2009
#
set iyr4 = $1
if($iyr4 > 1999) then
   @ iyr1 = $iyr4 - 2000
else
   @ iyr1 = $iyr4 - 1900
endif
echo `printf "%01d" $iyr1`
