#!/bin/csh
#--------------------------------------------------------------------------------
#@***p* HIRS/two_digit_year.csh
#
# NAME
#   two_digit_year.csh
#
# LOCATION
#   /hirsoperation/clearsky4/scripts/two_digit_year.csh
#
# PURPOSE
#   Returns the two digit year given the four digit year input
#
# DESCRIPTION
#   Returns the two digit year given the four digit year input
#
# AUTHOR
#   ??? 
#
# CREATION DATE
#   ???
#
# COPYRIGHT
#   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC DOMAIN AND
#   THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE.  THEY ARE FURNISHED "AS IS." THE 
#   AUTHORS, THE UNITED STATES GOVERNMENT, ITS INSTRUMENTALITIES, OFFICERS, EMPLOYEES, 
#   AND AGENTS MAKE NO WARRANTY, EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE 
#   SOFTWARE AND DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR
#   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL SUPPORT 
#   TO USERS.
#
# MODIFICATION HISTORY
#   Mar 2010 - D. Wunder put in robodoc format
#
# INPUTS
#   iyr4     ->  four digit year
#
# OUTPUTS
#   iyr2     ->  two digit year
#
# TODO
#   n/a
#
# LANGUAGE
#   C-Shell
#
#@*****
#---------------------------------------------------------------------------------

#
# Returns the two digit year given the four digit year input
#
set iyr4 = $1
if($iyr4 > 1999) then
   @ iyr2 = $iyr4 - 2000
else
   @ iyr2 = $iyr4 - 1900
endif
echo `printf "%02d" $iyr2`
