c===================================================================
c@***h*  HIRS/fscale.f
c*
c* NAME
c*  fscale.f
c*
c* LOCATION
c*  /crystal/san3/clearsky4/source/fscale.f
c*
c* PURPOSE
c*  Makes integer*2 value from real.
c*
c* DESCRIPTION
c*  Makes integer*2 value from real.
c*
c* AUTHOR
c*  Darren Jackson CIRES/ETL
c*
c* CREATION DATE
c*  Apr 2002
c*
c* COPYRIGHT
c*  THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC DOMAIN AND
c*  THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE.  THEY ARE FURNISHED "AS IS." THE 
c*  AUTHORS, THE UNITED STATES GOVERNMENT, ITS INSTRUMENTALITIES, OFFICERS, EMPLOYEES, 
c*  AND AGENTS MAKE NO WARRANTY, EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE 
c*  SOFTWARE AND DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR
c*  THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL SUPPORT 
c*  TO USERS.
c*
c* MODIFICATION HISTORY
c*  Jan 2010 - D. Wunder put in robodoc format
c*
c* INPUTS
c*  int2..................integer*2 value to be restored to float
c*  offset................offset factor
c*  sfactor...............scale factor
c*
c* OUTPUTS
c*  fscale................scaled value (int*2)
c*
c* LANGUAGE
c*  Fortran 
c*
c@*****
c=====================================================================
      function fscale(int2,offset,sfactor)

      implicit none

      integer*2 int2
      real fscale,offset,sfactor

      fscale=(float(int2)/sfactor)+offset

      return
      end
