c
c* File contains many parameters used for HIRS 1B processing
c
c* HIRS instrument-specific parameters
c
c   nchn.........total number of HIRS channels
c   nchn2........total number of IR HIRS channels
c   nchn3........number of non-near IR channels
c   nscan........number of FOVs in one scan line
c   nspot........number of FOVs in one data record (4=itpp, 56=aapp)
c   step.........scan time in seconds between scan spots
c
      integer   nchn,nscan,nchn2,nchn3,nspot
      real      step
c nspot=4 for HIRS/2; =56 for HIRS/3.
      parameter (nscan=4,nchn=20,nchn2=19,nchn3=12,nspot=56)
      parameter (step=0.1)
c
c* ITPP specific parameters
c
c   trec.........Length of ITPP data file record
c   nlen.........Number of bytes for ITPP data for one FOV
c

      integer   trec,nlen
      parameter (trec=120)
      parameter (nlen=trec/nspot)
c
c* AAPP specific parameters
c
c   arec.........Length of AAPP data file record
c   alen.........Number of bytes for one FOV in AAPP data file
c
      integer   arec
      integer   alen
      parameter (arec=1664,alen=arec/nspot)
c
c* Grid spacing parameters
c
      integer   as,cs,bs
      integer   nlon,nlat,ntim,itmax
      real      gres,tinc
      parameter (gres=0.5,nlon=360./gres,nlat=180./gres)
      parameter (tinc=6.,ntim=24./tinc,itmax=ntim+1)
      parameter (as=3,cs=2,bs=as+cs)
c
c* Limb correction parameters
c
      integer   nang,ncoef
      parameter (nang=6,ncoef=15)
c
c* Missing data parameters
c
      integer*2 imiss
      real      missing
      parameter (missing=9999.99,imiss=-99)
c
c* scale factor and offset parameters
c
      real      offset,sfactor
      parameter (offset=-100.,sfactor=100.)
c
c* QC parameters
c
      integer   nmon,nsat,nyr
      parameter (nsat=8,nyr=19,nmon=12)
c
c* other parameters
c
      integer np,max_allsky_obs
      parameter (np=1384,max_allsky_obs=65000)
