c===========================================================================
c@***h*  HIRS/init_grid.f
c*
c* NAME
c*  init_grid.f
c*
c* LOCATION
c*  /crystal/san3/clearsky4/source/init_grid.f
c*
c* PURPOSE
c*  Initialize max/mean/min grid for cloud clearing
c*
c* DESCRIPTION
c*  Initialize max/mean/min grid for cloud clearing
c*
c* AUTHOR
c*  unk
c*
c* CREATION DATE
c*  unk
c*
c* COPYRIGHT
c*  THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC DOMAIN AND
c*  THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE.  THEY ARE FURNISHED "AS IS." THE 
c*  AUTHORS, THE UNITED STATES GOVERNMENT, ITS INSTRUMENTALITIES, OFFICERS, EMPLOYEES, 
c*  AND AGENTS MAKE NO WARRANTY, EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE 
c*  SOFTWARE AND DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR
c*  THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL SUPPORT 
c*  TO USERS.
c*
c* MODIFICATION HISTORY
c*  Jan 2010 - D. Wunder put in robodoc format
c*
c* INPUTS
c*   grid(nlon,nlat,ntim,as)......Initialize this grid.
c*                       (               1).......chn 8 Max grid initialized to -999
c*                       (               2).......chn 8 sum grid set to 0
c*                       (               3).......chn 8 count grid set to 0
c*                       (               4).......chn 20 min grid set to 999
c*
c* OUTPUTS
c*   grid(nlon,nlat,ntim,as)......Initialize this grid.
c*                       (               1).......chn 8 Max grid initialized to -999
c*                       (               2).......chn 8 sum grid set to 0
c*                       (               3).......chn 8 count grid set to 0
c*                       (               4).......chn 20 min grid set to 999
c*
c* LANGUAGE
c*  Fortran 
c*
c@*****
c===========================================================================

      subroutine init_grid(grid)

      implicit none
      include 'hirs1c.inc'

      integer i,j,k,l
      real    grid(nlon,nlat,ntim,as)

      do i=1,nlon
         do j=1,nlat
            do k=1,ntim
               do l=1,as
                  if(l .eq. 1) then
                     grid(i,j,k,l)=-999.
                  elseif (l .eq. 2) then
                     grid(i,j,k,l)=999. 
                  else
                     grid(i,j,k,l)=0.
                  endif
               enddo
            enddo
         enddo
      enddo

      return
      end
