c===========================================================================
c@***f*  HIRS/iscale.f
c*
c* NAME
c*  iscale.f
c*
c* LOCATION
c*  /crystal/san3/clearsky4/source/iscale.f
c*
c* PURPOSE
c*  Makes integer*2 value from real.
c*
c* DESCRIPTION
c*  Makes integer*2 value from real.
c*
c* AUTHOR
c*  unk
c*
c* CREATION DATE
c*  unk
c*
c* COPYRIGHT
c*  THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC DOMAIN AND
c*  THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE.  THEY ARE FURNISHED "AS IS." THE 
c*  AUTHORS, THE UNITED STATES GOVERNMENT, ITS INSTRUMENTALITIES, OFFICERS, EMPLOYEES, 
c*  AND AGENTS MAKE NO WARRANTY, EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE 
c*  SOFTWARE AND DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR
c*  THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL SUPPORT 
c*  TO USERS.
c*
c* MODIFICATION HISTORY
c*  Jan 2010 - D. Wunder put in robodoc format
c*
c* INPUTS
c*   x.....................value to be scaled and offset (float)
c*   offset................offset factor
c*   sfactor...............scale factor
c*
c* OUTPUTS
c*   iscale................scaled value (int*2)
c*
c* LANGUAGE
c*  Fortran 
c*
c@*****
c===========================================================================

      function iscale(x,offset,sfactor)

      implicit none

      integer itmp
      integer*2 iscale
      real x,offset,sfactor

      itmp=ifix((x-offset)*sfactor)
      if(abs(itmp) .lt. 32767) then
         iscale=itmp
      else
         write(*,*) 'OFFSET = ',offset,' SCALE = ',sfactor,' X = ',x
         write(*,*) 'ITMP = ',itmp
         write(*,*) 'Error in int*2 conversion; terminate program'
         stop
      endif

      return
      end

