c==========================================================
c@***f*  HIRS/lza.f
c*
c* NAME
c*  lza.f
c*
c* LOCATION
c*  /crystal/san3/clearsky4/source/lza.f
c*
c* PURPOSE
c*  Computes local zenith angle for HIRS observation
c*
c* DESCRIPTION
c*  Computes local zenith angle for HIRS observation
c*
c* AUTHOR
c*  Darren Jackson CIRES/ETL 
c*
c* CREATION DATE
c*  Apr 2002
c*
c* COPYRIGHT
c*  THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC DOMAIN AND
c*  THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE.  THEY ARE FURNISHED "AS IS." THE 
c*  AUTHORS, THE UNITED STATES GOVERNMENT, ITS INSTRUMENTALITIES, OFFICERS, EMPLOYEES, 
c*  AND AGENTS MAKE NO WARRANTY, EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE 
c*  SOFTWARE AND DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR
c*  THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL SUPPORT 
c*  TO USERS.
c*
c* MODIFICATION HISTORY
c*  Jan 2010 - D. Wunder put in robodoc format
c*
c* INPUTS
c*  alt.......Altitude in km
c*  isp.......HIRS scan position (1-56)
c*
c* OUTPUTS
c*  local zenith angle in degrees
c*
c* LANGUAGE
c*  Fortran 
c*
c@*****
c=========================================================
c
      function lza(alt,isp)

      implicit none

      real    alt,scan_angle,lza,sinzen
      integer isp

c      external sind,asind
      write(*,*) 'alt,isp',alt,isp
      scan_angle=-49.5+1.8*float(isp-1)
      sinzen=abs((alt+6371.)*sind(scan_angle)/6371.)
      lza=asind(sinzen)

      return
      end
