c=============================================================================
c@***h*  HIRS/open_hirs.f
c*
c* NAME
c*  open_hirs.f
c*
c* LOCATION
c*  /crystal/san3/clearsky4/source/open_hirs.f
c*
c* PURPOSE
c*  Opens HIRS data files from ITPP output
c*
c* DESCRIPTION
c*  Opens HIRS data files from ITPP output
c*
c* AUTHOR
c*  unk
c*
c* CREATION DATE
c*  unk
c*
c* COPYRIGHT
c*  THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC DOMAIN AND
c*  THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE.  THEY ARE FURNISHED "AS IS." THE 
c*  AUTHORS, THE UNITED STATES GOVERNMENT, ITS INSTRUMENTALITIES, OFFICERS, EMPLOYEES, 
c*  AND AGENTS MAKE NO WARRANTY, EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE 
c*  SOFTWARE AND DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR
c*  THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL SUPPORT 
c*  TO USERS.
c*
c* MODIFICATION HISTORY
c*  Jan 2010 - D. Wunder put in robodoc format
c*
c* INPUTS
c*  isat...........satellite number
c*  iou............file number for the input HIRS data files from ITPP
c*  k..............orbit index number (beginning at 1) for the input ITPP data files.
c*
c* OUTPUTS
c*  Opens ITPP HIRS data file
c*
c* LANGUAGE
c*  Fortran 
c*
c@*****
c==================================================================

      subroutine open_hirs(isat,iou,k)

      implicit none
      include 'hirs1c.inc'
      integer k,iou,isat
      character infile*11

      if(k .lt. 10) then
         write(infile,'(a5,i1,a4)') 'hirs_',k,'.dat'
      else
         write(infile,'(a5,i2,a4)') 'hirs_',k,'.dat'
      endif
      
      if(isat .ge. 5 .and. isat .le. 14) then
         open(iou,file=infile,access='direct',recl=trec*4)
      else
         open(iou,file=infile,access='direct',recl=arec*4)
      endif
      write(*,*) 'infile = '//infile

      return
      end
