c
c*  Include file that gives the record lengths of the all binary files
c
c   cs_rec    ->  record length in bytes for clear-sky file       (*.CS)
c           itime (4 b I*100) GMT Time in seconds starting at midnight
c           ilon  (2 b D*100) Longitude in degrees East from GM (0-359.99)
c           ilat  (2 b D*100) Latitude in degrees (-90S to 90N)
c           iline (2 b)       Line number
c           ispot (1 b)       Scan spot position (1-56)
c           iszen (2 b D*100) Solar zenith angle (0 to 90 -> 90 is night)
c           ialt  (2 b km*10) Satellite altitude in km
c           isf   (1 b)       Clear-sky flag 
c           iref  (1 b)       Reflectance in percent (0 - 100; -1,254,255 missing)
c           tb(19)(2 b [K-100]*100.) BTs in Kelvin for HIRS channels 1-19
c           ------------------------
c           total = 55 bytes
c
c   cs1_rec   ->  record length in bytes for s.t. clear-sky files (*.CS1)
c           time   - real*4 - time in seconds starting at midnight
c           xlon   - real*4 - Longitude in degrees East from GM (0-359.99)
c           xlat   - real*4 - Latitude in degrees (-90S to 90N)
c           szen   - real*4 - solar zenith angle (degrees)
c           alt    - real*4 - altitude (km)
c           ispot  - int*4  - spot number (1-56)
c           line   - int*4  - line number (1-1100)
c           csf    - int*4  - clear-sky flag (0-clear,1-coastal clear,99-cloud)
c           refl   - real*4 - reflectance (0-100)
c           tblc   - real*4 - limb correct HIRS chn 8 brightness temperature (K)
c           tb(19) - real*4 - angle dependent HIRS BTs chns 1-19
c           -----------------
c           total = 116 bytes
c
c   as_rec    ->  record length in bytes for all-sky file         (*.AS)
c           time   - real*4 - time in seconds starting at midnight
c           xlon   - real*4 - Longitude in degrees East from GM (0-359.99)
c           xlat   - real*4 - Latitude in degrees (-90S to 90N)
c           szen   - real*4 - solar zenith angle (degrees)
c           alt    - real*4 - altitude (km)
c           ispot  - int*4  - spot number (1-56)
c           line   - int*4  - line number (1-1100)
c           refl   - real*4 - reflectance (0-100)
c           tblc   - real*4 - limb correct HIRS chn 8 brightness temperature (K)
c           tb(19) - real*4 - angle dependent HIRS BTs chns 1-19
c           ----------------
c           total = 112 bytes
c
c   ch_rec    ->  record length in bytes for cloud heights files  (*.CH)
c           itime (4 b I*100) GMT Time in seconds starting at midnight
c           ilon  (2 b D*100) Longitude in degrees East from GM (0-359.99)
c           ilat  (2 b D*100) Latitude in degrees (-90S to 90N)
c           iline (2 b)       Line number
c           ispot (1 b)       Scan spot position (1-56)
c           iszen (2 b D*100) Solar zenith angle (0 to 90 -> 90 is night)
c           ialt  (2 b km*10) Satellite altitude in km
c           iref  (1 b)       Reflectance in percent (0 - 100; -1,254,255 missing)
c           itb(7)(2 b [K-100]*100.) Temp. in Kelvin.  Channels 4-8, 10, & 12. 
c           ipct  (2 b)       Pressure of Cloud Top
c           iem   (1 b )      IR emissivity of cloud in %.
c           itc   (2 b [K-100]*100.) Temperature of cloud top.
c           itsfc (2 b [K-100]*100.) Surface temperature that was used in algorithm. 
c	    ideltrad(4) (2 b radiance*100.) Rclr-Rcld signal on HIRS Chs 4-7.(can be neg.)
c           iclear(1 b)   Flag from the cloud mask, any non-zero value indicates cloud.
c           -------------------------
c           total = 46 bytes
c
c   rt_rec    ->  record length in bytes for NCEP/RT soundings    (*.RT)
c           nlev      - int*4  - Number of levels
c           sfct      - real*4 - surface temperature in K
c           sfcp      - real*4 - surface presure in mb
c           temp(25)  - real*4 - temperature profile in K
c           tau(25,4) - real*4 - transmission profiles for HIRS chns 4-7
c           upr2(4)   - real*4 - upwelling radiance for HIRS chns 4-7
c           brt2(4)   - real*4 - brightness temperature for HIRS chns 4-7
c           --------------------
c           total = 544 bytes
c
c   cm_rec    ->  record length in bytes for clear-sky file       (*.CS)
c           itime (4 b I*100) GMT Time in seconds starting at midnight
c           ilon  (2 b D*100) Longitude in degrees East from GM (0-359.99)
c           ilat  (2 b D*100) Latitude in degrees (-90S to 90N)
c           iline (2 b)       Line number
c           ispot (1 b)       Scan spot position (1-56)
c           iszen (2 b D*100) Solar zenith angle (0 to 90 -> 90 is night)
c           ialt  (2 b km*10) Satellite altitude in km
c           iref  (1 b)       Reflectance in percent (0 - 100; -1,254,255 missing)
c           tbobs(4)(2 b [K-100]*100.) Observed BTs in Kelvin for HIRS channels 4,6,8,12
c           tbmod(4)(2 b [K-100]*100.) Model BTs in Kelvin for HIRS channels 4,6,8,12
c           ------------------------
c           total = 32 bytes
c
      integer cs_rec,cs1_rec,as_rec,ch_rec,rt_rec,cm_rec

      parameter( cs_rec =  55)
      parameter( as_rec = 112)
      parameter( ch_rec =  46)
      parameter( rt_rec = 544)
      parameter(cs1_rec = 116)
      parameter( cm_rec =  32)

